cmake_minimum_required(VERSION 2.8.11)

project(chacond)

include (libubus)
include (libubox)
include (wiringPi)

include_directories(../../src)

file(
	GLOB_RECURSE
	source_files
	../../src/main.c
	../../src/UBusModel.c
	../../src/Chacon.c
)

add_executable (
        chacond
        ${source_files}
)

target_link_libraries (chacond 
	LINK_PUBLIC
	ubus 
	wiringPi
	rt
	pthread
	)
